Package org.eclipse.rdf4j.repository.sail

## Class SailUpdate

- java.lang.Object
- - org.eclipse.rdf4j.query.impl.AbstractOperation
  - - org.eclipse.rdf4j.query.impl.AbstractUpdate
    - - org.eclipse.rdf4j.query.impl.AbstractParserUpdate
      - - org.eclipse.rdf4j.repository.sail.SailUpdate

- All Implemented Interfaces:
    `Operation`, `Update`

      public class SailUpdate
      extends AbstractParserUpdate

  Author:
    Jeen Broekstra, James Leigh

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.query.impl.AbstractOperation

      `bindings, dataset, includeInferred`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `SailUpdate​(ParsedUpdate parsedUpdate, SailRepositoryConnection con)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `execute()` | Execute this update on the repository.
    `protected SailRepositoryConnection` | `getConnection()` |

    - ### Methods inherited from class org.eclipse.rdf4j.query.impl.AbstractParserUpdate

      `getMergedDataset, getParsedUpdate, toString`

    - ### Methods inherited from class org.eclipse.rdf4j.query.impl.AbstractOperation

      `clearBindings, getBindings, getDataset, getIncludeInferred, getMaxExecutionTime, removeBinding, setBinding, setDataset, setIncludeInferred, setMaxExecutionTime`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.query.Operation

      `clearBindings, getBindings, getDataset, getIncludeInferred, getMaxExecutionTime, removeBinding, setBinding, setDataset, setIncludeInferred, setMaxExecutionTime`

- - ### Constructor Detail

    - #### SailUpdate

          protected SailUpdate​(ParsedUpdate parsedUpdate,
                               SailRepositoryConnection con)

  - ### Method Detail

    - #### getConnection

          protected SailRepositoryConnection getConnection()

    - #### execute

          public void execute()
                       throws UpdateExecutionException

      Description copied from interface: `Update`
      Execute this update on the repository.
      Throws:
        `UpdateExecutionException` - if the update could not be successfully completed.